function test_fetch_series_by_ids_in_same_dataset() % --*-- Unitary tests --*--
df = fetch_series('series_ids', ["AMECO/ZUTN/EA19.1.0.0.0.ZUTN",...
                                 "AMECO/ZUTN/DNK.1.0.0.0.ZUTN"]);
    
idx = find(strcmp('provider_code',df(1,:)));
provider_codes = unique(df(2:end,idx));
assert(length(provider_codes)==1);
assert(provider_codes{1} == "AMECO");

idx = find(strcmp('dataset_code',df(1,:)));
dataset_codes = unique(df(2:end,idx));
assert(length(dataset_codes) == 1);
assert(dataset_codes{1} == "ZUTN");

idx = find(strcmp('series_code',df(1,:)));
series_codes = unique(df(2:end,idx));
assert(length(series_codes) == 2);
assert(series_codes{1} == "DNK.1.0.0.0.ZUTN");
assert(series_codes{2} == "EA19.1.0.0.0.ZUTN");
end

%@test:1
%$ try
%$    test_fetch_series_by_ids_in_same_dataset();
%$    t(1) = true;
%$ catch
%$    t(1) = false;
%$ end
%$
%$ T = t(1);
%@eof:1